

# Common interface

```@autodocs
Modules = [Graph]
Pages   = ["graph/interface.jl"]
Private = false
Order   = [:constant, :function, :type]
```


# Graph model

## Plain graph

```@autodocs
Modules = [Graph]
Pages   = ["graph/plaingraph.jl"]
Private = false
Order   = [:constant, :function, :type]
```

## Hyper graph

```@autodocs
Modules = [Graph]
Pages   = ["graph/plainhypergraph.jl"]
Private = false
Order   = [:constant, :function, :type]
```

## Directed Acyclic Graph (DAG)

```@autodocs
Modules = [Graph]
Pages   = ["graph/dag.jl"]
Private = false
Order   = [:constant, :function, :type]
```


# Graph generation

## Graph generator

```@autodocs
Modules = [Graph]
Pages   = ["graph/generator.jl"]
Private = false
Order   = [:constant, :function, :type]
```

## Product of graphs

```@autodocs
Modules = [Graph]
Pages   = ["graph/product.jl"]
Private = false
Order   = [:constant, :function, :type]
```

## Disjoint union

```@autodocs
Modules = [Graph]
Pages   = ["graph/disjointunion.jl"]
Private = false
Order   = [:constant, :function, :type]
```

## Contraction

```@autodocs
Modules = [Graph]
Pages   = ["graph/contraction.jl"]
Private = false
Order   = [:constant, :function, :type]
```

## Line graph

```@autodocs
Modules = [Graph]
Pages   = ["graph/linegraph.jl"]
Private = false
Order   = [:constant, :function, :type]
```

## Subgraph view

```@autodocs
Modules = [Graph]
Pages   = ["graph/subgraphview.jl"]
Private = false
Order   = [:constant, :function, :type]
```


# Graph algorithms

## Connectivity

```@autodocs
Modules = [Graph]
Pages   = ["graph/connectivity.jl"]
Private = false
Order   = [:constant, :function, :type]
```

## Shortest path

```@autodocs
Modules = [Graph]
Pages   = ["graph/shortestpath.jl"]
Private = false
Order   = [:constant, :function, :type]
```

## Cycle basis

```@autodocs
Modules = [Graph]
Pages   = ["graph/cycle.jl"]
Private = false
Order   = [:constant, :function, :type]
```

## Triangles

```@autodocs
Modules = [Graph]
Pages   = ["graph/triangle.jl"]
Private = false
Order   = [:constant, :function, :type]
```

## Bipartite Graph

```@autodocs
Modules = [Graph]
Pages   = ["graph/bipartite.jl"]
Private = false
Order   = [:constant, :function, :type]
```

## Maximum cardinality matching

```@autodocs
Modules = [Graph]
Pages   = ["graph/matching.jl"]
Private = false
Order   = [:constant, :function, :type]
```

## Planarity

```@autodocs
Modules = [Graph]
Pages   = ["graph/planarity.jl"]
Private = false
Order   = [:constant, :function, :type]
```

## Maximum clique

```@autodocs
Modules = [Graph]
Pages   = ["graph/clique.jl"]
Private = false
Order   = [:constant, :function, :type]
```

## Subgraph match (VF2 algorithm)

```@autodocs
Modules = [Graph]
Pages   = ["graph/isomorphism/vf2.jl"]
Private = false
Order   = [:constant, :function, :type]
```

## Maximum common subgraph (Clique detection based algorithm)

```@autodocs
Modules = [Graph]
Pages   = ["graph/isomorphism/cliquemcs.jl"]
Private = false
Order   = [:constant, :function, :type]
```